org.eclipse.jetty.security.authentication

## Class FormAuthenticator.FormRequest

- java.lang.Object
- - javax.servlet.ServletRequestWrapper
  - - javax.servlet.http.HttpServletRequestWrapper
    - - org.eclipse.jetty.security.authentication.FormAuthenticator.FormRequest

- All Implemented Interfaces:
    javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest
  Enclosing class:
    FormAuthenticator

      protected static class FormAuthenticator.FormRequest
      extends javax.servlet.http.HttpServletRequestWrapper

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormAuthenticator.FormRequest(javax.servlet.http.HttpServletRequest request)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDateHeader(String name)`
    `String` | `getHeader(String name)`
    `Enumeration` | `getHeaderNames()`
    `Enumeration` | `getHeaders(String name)`

    - ### Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

      `authenticate, getAuthType, getContextPath, getCookies, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, login, logout`

    - ### Methods inherited from class javax.servlet.ServletRequestWrapper

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setCharacterEncoding, setRequest, startAsync, startAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

- - ### Constructor Detail

    - #### FormAuthenticator.FormRequest

          public FormAuthenticator.FormRequest(javax.servlet.http.HttpServletRequest request)

  - ### Method Detail

    - #### getDateHeader

          public long getDateHeader(String name)

      Specified by:
        `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getDateHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### getHeader

          public String getHeader(String name)

      Specified by:
        `getHeader` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### getHeaderNames

          public Enumeration getHeaderNames()

      Specified by:
        `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getHeaderNames` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### getHeaders

          public Enumeration getHeaders(String name)

      Specified by:
        `getHeaders` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getHeaders` in class `javax.servlet.http.HttpServletRequestWrapper`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.